Page 1 of 6 123 ... LastLast
Results 1 to 10 of 52

Thread: TeXworks: package operation failed

  1. #1
    Join Date
    Jul 2012
    Location
    Germany
    Beans
    107
    Distro
    Xubuntu 12.04 Precise Pangolin

    TeXworks: package operation failed

    Hi,

    I receive the following message when I try to install TeXworks from the repository:

    "Package operation failed
    The installation or removal of a software package failed."

    and the details are the following:

    Code:
    installArchives() failed: Preconfiguring packages ...
    Preconfiguring packages ...
    Preconfiguring packages ...
    Selecting previously unselected package tex-common.
    (Reading database ... 
    (Reading database ... 5%
    (Reading database ... 10%
    (Reading database ... 15%
    (Reading database ... 20%
    (Reading database ... 25%
    (Reading database ... 30%
    (Reading database ... 35%
    (Reading database ... 40%
    (Reading database ... 45%
    (Reading database ... 50%
    (Reading database ... 55%
    (Reading database ... 60%
    (Reading database ... 65%
    (Reading database ... 70%
    (Reading database ... 75%
    (Reading database ... 80%
    (Reading database ... 85%
    (Reading database ... 90%
    (Reading database ... 95%
    (Reading database ... 100%
    (Reading database ... 315556 files and directories currently installed.)
    Unpacking tex-common (from .../tex-common_2.10_all.deb) ...
    Selecting previously unselected package lmodern.
    Unpacking lmodern (from .../lmodern_2.004.1-3.1ubuntu1_all.deb) ...
    Selecting previously unselected package texlive-common.
    Unpacking texlive-common (from .../texlive-common_2009-15_all.deb) ...
    Selecting previously unselected package texlive-doc-base.
    Unpacking texlive-doc-base (from .../texlive-doc-base_2009-2_all.deb) ...
    Selecting previously unselected package texlive-binaries.
    Unpacking texlive-binaries (from .../texlive-binaries_2009-11ubuntu2_amd64.deb) ...
    Selecting previously unselected package texlive-base.
    Unpacking texlive-base (from .../texlive-base_2009-15_all.deb) ...
    Selecting previously unselected package texlive-latex-base.
    Unpacking texlive-latex-base (from .../texlive-latex-base_2009-15_all.deb) ...
    Selecting previously unselected package texlive-latex-base-doc.
    Unpacking texlive-latex-base-doc (from .../texlive-latex-base-doc_2009-15_all.deb) ...
    Selecting previously unselected package texworks.
    Unpacking texworks (from .../texworks_0.5~svn952-1_amd64.deb) ...
    Selecting previously unselected package texworks-help-en.
    Unpacking texworks-help-en (from .../texworks-help-en_0.5~svn952-1_all.deb) ...
    Processing triggers for doc-base ...
    Processing 2 added doc-base files...
    Registering documents with scrollkeeper...
    Processing triggers for man-db ...
    Processing triggers for fontconfig ...
    Processing triggers for install-info ...
    Processing triggers for desktop-file-utils ...
    Setting up tex-common (2.10) ...
    
    Creating config file /etc/texmf/texmf.d/05TeXMF.cnf with new version
    
    Creating config file /etc/texmf/texmf.d/15Plain.cnf with new version
    
    Creating config file /etc/texmf/texmf.d/45TeXinputs.cnf with new version
    
    Creating config file /etc/texmf/texmf.d/55Fonts.cnf with new version
    
    Creating config file /etc/texmf/texmf.d/65BibTeX.cnf with new version
    
    Creating config file /etc/texmf/texmf.d/75DviPS.cnf with new version
    
    Creating config file /etc/texmf/texmf.d/80DVIPDFMx.cnf with new version
    
    Creating config file /etc/texmf/texmf.d/85Misc.cnf with new version
    
    Creating config file /etc/texmf/texmf.d/90TeXDoc.cnf with new version
    
    Creating config file /etc/texmf/texmf.d/95NonPath.cnf with new version
    
    Creating config file /etc/texmf/updmap.d/00updmap.cfg with new version
    
    Creating config file /etc/texmf/texmf.cnf with new version
    Running mktexlsr. This may take some time... done.
    texlive-base is not ready, delaying updmap-sys call
    texlive-base is not ready, skipping fmtutil-sys --all call
    Setting up lmodern (2.004.1-3.1ubuntu1) ...
    Setting up texlive-common (2009-15) ...
    Setting up texlive-doc-base (2009-2) ...
    Setting up texlive-binaries (2009-11ubuntu2) ...
    update-alternatives: using /usr/bin/xdvi-xaw to provide /usr/bin/xdvi.bin (xdvi.bin) in auto mode.
    update-alternatives: using /usr/bin/bibtex.original to provide /usr/bin/bibtex (bibtex) in auto mode.
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXMFMAIN... 
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXLIVE... 
    mktexlsr: Updating /var/lib/texmf/ls-R... 
    mktexlsr: Done.
    Building format(s) --refresh.
    	This may take some time... done.
    Setting up texlive-latex-base-doc (2009-15) ...
    Setting up texworks (0.5~svn952-1) ...
    Setting up texworks-help-en (0.5~svn952-1) ...
    Processing triggers for tex-common ...
    Running mktexlsr. This may take some time... done.
    texlive-base is not ready, delaying updmap-sys call
    Setting up texlive-base (2009-15) ...
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXLIVE... 
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXMFMAIN... 
    mktexlsr: Updating /var/lib/texmf/ls-R... 
    mktexlsr: Done.
    Not replacing deleted config file /etc/texmf/dvips/config/config.ps
    Not replacing deleted config file /etc/texmf/tex/generic/config/pdftexconfig.tex
    Not replacing deleted config file /etc/texmf/dvipdfmx/dvipdfmx.cfg
    Not replacing deleted config file /etc/texmf/xdvi/XDvi
    dpkg: error processing texlive-base (--configure):
     subprocess installed post-installation script returned error exit status 1
    No apport report written because MaxReports is reached already
    dpkg: dependency problems prevent configuration of texlive-latex-base:
     texlive-latex-base depends on texlive-base (>= 2009-1); however:
      Package texlive-base is not configured yet.
    dpkg: error processing texlive-latex-base (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
    Errors were encountered while processing:
     texlive-base
     texlive-latex-base
    Error in function: 
    SystemError: E:Sub-process /usr/bin/dpkg returned an error code (1)
    Setting up texlive-base (2009-15) ...
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXLIVE... 
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXMFMAIN... 
    mktexlsr: Updating /var/lib/texmf/ls-R... 
    mktexlsr: Done.
    Not replacing deleted config file /etc/texmf/dvips/config/config.ps
    Not replacing deleted config file /etc/texmf/tex/generic/config/pdftexconfig.tex
    Not replacing deleted config file /etc/texmf/dvipdfmx/dvipdfmx.cfg
    Not replacing deleted config file /etc/texmf/xdvi/XDvi
    dpkg: error processing texlive-base (--configure):
     subprocess installed post-installation script returned error exit status 1
    dpkg: dependency problems prevent configuration of texlive-latex-base:
     texlive-latex-base depends on texlive-base (>= 2009-1); however:
      Package texlive-base is not configured yet.
    dpkg: error processing texlive-latex-base (--configure):
     dependency problems - leaving unconfigured
    Would be great if someone can help...

  2. #2
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    6,597
    Distro
    Lubuntu 14.04 Trusty Tahr

    Re: TeXworks: package operation failed

    bekirs; Hi !

    Seems a config file to set up the configs is messed up for some reason. Not sure if this will work but worth a try to see if apt-get is able to pull in the config file.
    Code:
    sudo apt-get update
    sudo apt-get upgrade
    sudo apt-get -f install
    dpkg --configure -a
    Post back with any errors generated; may consider removal/re-install of the package.
    just try'n to help < == BDQ

  3. #3
    Join Date
    Jul 2012
    Location
    Germany
    Beans
    107
    Distro
    Xubuntu 12.04 Precise Pangolin

    Re: TeXworks: package operation failed

    Quote Originally Posted by Bashing-om View Post
    bekirs; Hi !

    Seems a config file to set up the configs is messed up for some reason. Not sure if this will work but worth a try to see if apt-get is able to pull in the config file.
    Code:
    sudo apt-get update
    sudo apt-get upgrade
    sudo apt-get -f install
    dpkg --configure -a
    Post back with any errors generated; may consider removal/re-install of the package.
    just try'n to help < == BDQ
    Hi,

    thank you for the help. I paste the output:

    Code:
    sudo apt-get update
    [sudo] password for bekirsalgin: 
    Ign http://extras.ubuntu.com precise InRelease
    Ign http://security.ubuntu.com precise-security InRelease                      
    Ign http://archive.canonical.com precise InRelease                             
    Ign http://dl.google.com stable InRelease                                      
    Get:1 http://security.ubuntu.com precise-security Release.gpg [198 B]          
    Get:2 http://extras.ubuntu.com precise Release.gpg [72 B]                      
    Hit http://archive.canonical.com precise Release.gpg                           
    Hit http://dl.google.com stable Release.gpg                                    
    Get:3 http://security.ubuntu.com precise-security Release [49.6 kB]            
    Get:4 http://extras.ubuntu.com precise Release [11.9 kB]                       
    Hit http://archive.canonical.com precise Release                               
    Hit http://dl.google.com stable Release                                        
    Hit http://archive.canonical.com precise/partner amd64 Packages                
    Hit http://archive.canonical.com precise/partner i386 Packages                 
    Ign http://archive.canonical.com precise/partner TranslationIndex              
    Hit http://dl.google.com stable/main amd64 Packages                            
    Get:5 http://security.ubuntu.com precise-security/restricted Sources [1,950 B] 
    Get:6 http://extras.ubuntu.com precise/main amd64 Packages [9,815 B]           
    Hit http://dl.google.com stable/main i386 Packages                             
    Ign http://dl.google.com stable/main TranslationIndex                          
    Get:7 http://security.ubuntu.com precise-security/main Sources [54.6 kB]       
    Get:8 http://extras.ubuntu.com precise/main i386 Packages [9,829 B]            
    Ign http://extras.ubuntu.com precise/main TranslationIndex                     
    Get:9 http://security.ubuntu.com precise-security/multiverse Sources [1,392 B] 
    Get:10 http://security.ubuntu.com precise-security/universe Sources [15.8 kB]  
    Get:11 http://security.ubuntu.com precise-security/main amd64 Packages [196 kB]
    Get:12 http://security.ubuntu.com precise-security/restricted amd64 Packages [3,969 B]
    Get:13 http://security.ubuntu.com precise-security/universe amd64 Packages [54.7 kB]
    Get:14 http://security.ubuntu.com precise-security/multiverse amd64 Packages [2,189 B]
    Get:15 http://security.ubuntu.com precise-security/main i386 Packages [201 kB] 
    Ign http://archive.canonical.com precise/partner Translation-en_US             
    Ign http://archive.canonical.com precise/partner Translation-en                
    Get:16 http://security.ubuntu.com precise-security/restricted i386 Packages [3,968 B]
    Get:17 http://security.ubuntu.com precise-security/universe i386 Packages [54.9 kB]
    Get:18 http://security.ubuntu.com precise-security/multiverse i386 Packages [2,388 B]
    Ign http://dl.google.com stable/main Translation-en_US                         
    Get:19 http://security.ubuntu.com precise-security/main TranslationIndex [73 B]
    Get:20 http://security.ubuntu.com precise-security/multiverse TranslationIndex [71 B]
    Get:21 http://security.ubuntu.com precise-security/restricted TranslationIndex [71 B]
    Get:22 http://security.ubuntu.com precise-security/universe TranslationIndex [73 B]
    Ign http://extras.ubuntu.com precise/main Translation-en_US                    
    Get:23 http://security.ubuntu.com precise-security/main Translation-en [96.7 kB]
    Ign http://dl.google.com stable/main Translation-en                            
    Ign http://extras.ubuntu.com precise/main Translation-en                       
    Hit http://security.ubuntu.com precise-security/multiverse Translation-en      
    Hit http://security.ubuntu.com precise-security/restricted Translation-en
    Get:24 http://security.ubuntu.com precise-security/universe Translation-en [33.2 kB]
    Ign http://de.archive.ubuntu.com precise InRelease                             
    Ign http://de.archive.ubuntu.com precise-updates InRelease
    Ign http://de.archive.ubuntu.com precise-proposed InRelease
    Hit http://de.archive.ubuntu.com precise Release.gpg
    Get:25 http://de.archive.ubuntu.com precise-updates Release.gpg [198 B]
    Get:26 http://de.archive.ubuntu.com precise-proposed Release.gpg [198 B]
    Hit http://de.archive.ubuntu.com precise Release
    Get:27 http://de.archive.ubuntu.com precise-updates Release [49.6 kB]
    Get:28 http://de.archive.ubuntu.com precise-proposed Release [49.6 kB]
    Hit http://de.archive.ubuntu.com precise/restricted Sources  
    Hit http://de.archive.ubuntu.com precise/main Sources
    Hit http://de.archive.ubuntu.com precise/multiverse Sources
    Hit http://de.archive.ubuntu.com precise/universe Sources
    Hit http://de.archive.ubuntu.com precise/main amd64 Packages
    Hit http://de.archive.ubuntu.com precise/restricted amd64 Packages
    Hit http://de.archive.ubuntu.com precise/universe amd64 Packages
    Hit http://de.archive.ubuntu.com precise/multiverse amd64 Packages
    Hit http://de.archive.ubuntu.com precise/main i386 Packages
    Hit http://de.archive.ubuntu.com precise/restricted i386 Packages
    Hit http://de.archive.ubuntu.com precise/universe i386 Packages
    Hit http://de.archive.ubuntu.com precise/multiverse i386 Packages
    Hit http://de.archive.ubuntu.com precise/main TranslationIndex
    Hit http://de.archive.ubuntu.com precise/multiverse TranslationIndex
    Hit http://de.archive.ubuntu.com precise/restricted TranslationIndex
    Hit http://de.archive.ubuntu.com precise/universe TranslationIndex
    Get:29 http://de.archive.ubuntu.com precise-updates/restricted Sources [4,419 B]
    Get:30 http://de.archive.ubuntu.com precise-updates/main Sources [188 kB]
    Get:31 http://de.archive.ubuntu.com precise-updates/multiverse Sources [4,241 B]
    Get:32 http://de.archive.ubuntu.com precise-updates/universe Sources [61.1 kB]
    Get:33 http://de.archive.ubuntu.com precise-updates/main amd64 Packages [426 kB]
    Get:34 http://de.archive.ubuntu.com precise-updates/restricted amd64 Packages [8,366 B]
    Get:35 http://de.archive.ubuntu.com precise-updates/universe amd64 Packages [152 kB]
    Get:36 http://de.archive.ubuntu.com precise-updates/multiverse amd64 Packages [8,677 B]
    Get:37 http://de.archive.ubuntu.com precise-updates/main i386 Packages [433 kB]
    Get:38 http://de.archive.ubuntu.com precise-updates/restricted i386 Packages [8,374 B]
    Get:39 http://de.archive.ubuntu.com precise-updates/universe i386 Packages [153 kB]
    Get:40 http://de.archive.ubuntu.com precise-updates/multiverse i386 Packages [9,661 B]
    Get:41 http://de.archive.ubuntu.com precise-updates/main TranslationIndex [3,564 B]
    Get:42 http://de.archive.ubuntu.com precise-updates/multiverse TranslationIndex [2,605 B]
    Get:43 http://de.archive.ubuntu.com precise-updates/restricted TranslationIndex [2,461 B]
    Get:44 http://de.archive.ubuntu.com precise-updates/universe TranslationIndex [2,850 B]
    Get:45 http://de.archive.ubuntu.com precise-proposed/restricted amd64 Packages [1,972 B]
    Get:46 http://de.archive.ubuntu.com precise-proposed/main amd64 Packages [37.1 kB]
    Get:47 http://de.archive.ubuntu.com precise-proposed/multiverse amd64 Packages [14 B]
    Get:48 http://de.archive.ubuntu.com precise-proposed/universe amd64 Packages [16.6 kB]
    Get:49 http://de.archive.ubuntu.com precise-proposed/restricted i386 Packages [1,960 B]
    Get:50 http://de.archive.ubuntu.com precise-proposed/main i386 Packages [39.0 kB]
    Get:51 http://de.archive.ubuntu.com precise-proposed/multiverse i386 Packages [14 B]
    Get:52 http://de.archive.ubuntu.com precise-proposed/universe i386 Packages [16.8 kB]
    Get:53 http://de.archive.ubuntu.com precise-proposed/main TranslationIndex [3,564 B]
    Get:54 http://de.archive.ubuntu.com precise-proposed/multiverse TranslationIndex [2,605 B]
    Get:55 http://de.archive.ubuntu.com precise-proposed/restricted TranslationIndex [2,461 B]
    Get:56 http://de.archive.ubuntu.com precise-proposed/universe TranslationIndex [2,850 B]
    Hit http://de.archive.ubuntu.com precise/main Translation-en                   
    Hit http://de.archive.ubuntu.com precise/multiverse Translation-en             
    Hit http://de.archive.ubuntu.com precise/restricted Translation-en             
    Hit http://de.archive.ubuntu.com precise/universe Translation-en               
    Get:57 http://de.archive.ubuntu.com precise-updates/main Translation-en [210 kB]
    Hit http://de.archive.ubuntu.com precise-updates/multiverse Translation-en     
    Hit http://de.archive.ubuntu.com precise-updates/restricted Translation-en     
    Get:58 http://de.archive.ubuntu.com precise-updates/universe Translation-en [91.4 kB]
    Get:59 http://de.archive.ubuntu.com precise-proposed/main Translation-en [19.5 kB]
    Hit http://de.archive.ubuntu.com precise-proposed/multiverse Translation-en    
    Hit http://de.archive.ubuntu.com precise-proposed/restricted Translation-en    
    Get:60 http://de.archive.ubuntu.com precise-proposed/universe Translation-en [10.3 kB]
    Fetched 2,828 kB in 7s (379 kB/s)                                              
    Reading package lists... Done
    bekirsalgin@bekirsalgin:~$ sudo apt-get upgrade
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following packages will be upgraded:
      indicator-messages indicator-messages-gtk2 indicator-status-provider-mc5
      indicator-status-provider-pidgin libavcodec53 libavformat53 libavutil51
      libindicator-messages-status-provider1 libpostproc52 libproxy1
      libproxy1:i386 libswscale2 make mountall xfce4-settings
    15 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    2 not fully installed or removed.
    Need to get 4,507 kB of archives.
    After this operation, 5,120 B of additional disk space will be used.
    Do you want to continue [Y/n]? y
    Get:1 http://de.archive.ubuntu.com/ubuntu/ precise-proposed/main mountall amd64 2.36.1 [68.1 kB]
    Get:2 http://de.archive.ubuntu.com/ubuntu/ precise-updates/main libpostproc52 amd64 4:0.8.4-0ubuntu0.12.04.1 [63.5 kB]
    Get:3 http://de.archive.ubuntu.com/ubuntu/ precise-updates/main libswscale2 amd64 4:0.8.4-0ubuntu0.12.04.1 [92.3 kB]
    Get:4 http://de.archive.ubuntu.com/ubuntu/ precise-updates/main libavformat53 amd64 4:0.8.4-0ubuntu0.12.04.1 [495 kB]
    Get:5 http://de.archive.ubuntu.com/ubuntu/ precise-updates/main libavcodec53 amd64 4:0.8.4-0ubuntu0.12.04.1 [2,916 kB]
    Get:6 http://de.archive.ubuntu.com/ubuntu/ precise-updates/main libavutil51 amd64 4:0.8.4-0ubuntu0.12.04.1 [63.2 kB]
    Get:7 http://de.archive.ubuntu.com/ubuntu/ precise-updates/main libproxy1 i386 0.4.7-0ubuntu4.1 [56.0 kB]
    Get:8 http://de.archive.ubuntu.com/ubuntu/ precise-updates/main libproxy1 amd64 0.4.7-0ubuntu4.1 [56.1 kB]
    Get:9 http://de.archive.ubuntu.com/ubuntu/ precise-proposed/universe indicator-messages-gtk2 amd64 0.6.0-0ubuntu2 [11.6 kB]
    Get:10 http://de.archive.ubuntu.com/ubuntu/ precise-proposed/main libindicator-messages-status-provider1 amd64 0.6.0-0ubuntu2 [5,862 B]
    Get:11 http://de.archive.ubuntu.com/ubuntu/ precise-proposed/main indicator-messages amd64 0.6.0-0ubuntu2 [69.9 kB]
    Get:12 http://de.archive.ubuntu.com/ubuntu/ precise-proposed/main indicator-status-provider-mc5 amd64 0.6.0-0ubuntu2 [6,236 B]
    Get:13 http://de.archive.ubuntu.com/ubuntu/ precise-proposed/main indicator-status-provider-pidgin amd64 0.6.0-0ubuntu2 [6,740 B]
    Get:14 http://de.archive.ubuntu.com/ubuntu/ precise-proposed/main make amd64 3.81-8.1ubuntu1.1 [119 kB]
    Get:15 http://de.archive.ubuntu.com/ubuntu/ precise-proposed/universe xfce4-settings amd64 4.8.3-1ubuntu3.1 [477 kB]
    Fetched 4,507 kB in 3s (1,272 kB/s)  
    (Reading database ... 321177 files and directories currently installed.)
    Preparing to replace mountall 2.36 (using .../mountall_2.36.1_amd64.deb) ...
    Unpacking replacement mountall ...
    Preparing to replace libpostproc52 4:0.8.3-0ubuntu0.12.04.1 (using .../libpostproc52_4%3a0.8.4-0ubuntu0.12.04.1_amd64.deb) ...
    Unpacking replacement libpostproc52 ...
    Preparing to replace libswscale2 4:0.8.3-0ubuntu0.12.04.1 (using .../libswscale2_4%3a0.8.4-0ubuntu0.12.04.1_amd64.deb) ...
    Unpacking replacement libswscale2 ...
    Preparing to replace libavformat53 4:0.8.3-0ubuntu0.12.04.1 (using .../libavformat53_4%3a0.8.4-0ubuntu0.12.04.1_amd64.deb) ...
    Unpacking replacement libavformat53 ...
    Preparing to replace libavcodec53 4:0.8.3-0ubuntu0.12.04.1 (using .../libavcodec53_4%3a0.8.4-0ubuntu0.12.04.1_amd64.deb) ...
    Unpacking replacement libavcodec53 ...
    Preparing to replace libavutil51 4:0.8.3-0ubuntu0.12.04.1 (using .../libavutil51_4%3a0.8.4-0ubuntu0.12.04.1_amd64.deb) ...
    Unpacking replacement libavutil51 ...
    Preparing to replace libproxy1:i386 0.4.7-0ubuntu4 (using .../libproxy1_0.4.7-0ubuntu4.1_i386.deb) ...
    De-configuring libproxy1 ...
    Unpacking replacement libproxy1:i386 ...
    Preparing to replace libproxy1 0.4.7-0ubuntu4 (using .../libproxy1_0.4.7-0ubuntu4.1_amd64.deb) ...
    Unpacking replacement libproxy1 ...
    Processing triggers for man-db ...
    Processing triggers for ureadahead ...
    ureadahead will be reprofiled on next reboot
    Setting up libproxy1:i386 (0.4.7-0ubuntu4.1) ...
    Setting up libproxy1 (0.4.7-0ubuntu4.1) ...
    Processing triggers for libc-bin ...
    ldconfig deferred processing now taking place
    (Reading database ... 321177 files and directories currently installed.)
    Preparing to replace indicator-messages-gtk2 0.6.0-0ubuntu1 (using .../indicator-messages-gtk2_0.6.0-0ubuntu2_amd64.deb) ...
    Unpacking replacement indicator-messages-gtk2 ...
    Preparing to replace libindicator-messages-status-provider1 0.6.0-0ubuntu1 (using .../libindicator-messages-status-provider1_0.6.0-0ubuntu2_amd64.deb) ...
    Unpacking replacement libindicator-messages-status-provider1 ...
    Preparing to replace indicator-messages 0.6.0-0ubuntu1 (using .../indicator-messages_0.6.0-0ubuntu2_amd64.deb) ...
    Unpacking replacement indicator-messages ...
    Preparing to replace indicator-status-provider-mc5 0.6.0-0ubuntu1 (using .../indicator-status-provider-mc5_0.6.0-0ubuntu2_amd64.deb) ...
    Unpacking replacement indicator-status-provider-mc5 ...
    Preparing to replace indicator-status-provider-pidgin 0.6.0-0ubuntu1 (using .../indicator-status-provider-pidgin_0.6.0-0ubuntu2_amd64.deb) ...
    Unpacking replacement indicator-status-provider-pidgin ...
    Preparing to replace make 3.81-8.1ubuntu1 (using .../make_3.81-8.1ubuntu1.1_amd64.deb) ...
    Unpacking replacement make ...
    Preparing to replace xfce4-settings 4.8.3-1ubuntu3 (using .../xfce4-settings_4.8.3-1ubuntu3.1_amd64.deb) ...
    Unpacking replacement xfce4-settings ...
    Processing triggers for man-db ...
    Processing triggers for desktop-file-utils ...
    Setting up texlive-base (2009-15) ...
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXLIVE... 
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXMFMAIN... 
    mktexlsr: Updating /var/lib/texmf/ls-R... 
    mktexlsr: Done.
    Not replacing deleted config file /etc/texmf/dvips/config/config.ps
    Not replacing deleted config file /etc/texmf/tex/generic/config/pdftexconfig.tex
    Not replacing deleted config file /etc/texmf/dvipdfmx/dvipdfmx.cfg
    Not replacing deleted config file /etc/texmf/xdvi/XDvi
    dpkg: error processing texlive-base (--configure):
     subprocess installed post-installation script returned error exit status 1
    dpkg: dependency problems prevent configuration of texlive-latex-base:
     texlive-latex-base depends on texlive-base (>= 2009-1); however:
      Package texlive-base is not configured yet.
    dpkg: error processing texlive-latex-base (--configure):
     dependency problems - leaving unconfigured
    Setting up mountall (2.36.1) ...
    No apport report written because the error message indicates its a followup error from a previous failure.
                              Setting up libavutil51 (4:0.8.4-0ubuntu0.12.04.1) ...
    Setting up libpostproc52 (4:0.8.4-0ubuntu0.12.04.1) ...
    Setting up libswscale2 (4:0.8.4-0ubuntu0.12.04.1) ...
    Setting up libavcodec53 (4:0.8.4-0ubuntu0.12.04.1) ...
    Setting up libavformat53 (4:0.8.4-0ubuntu0.12.04.1) ...
    Setting up libindicator-messages-status-provider1 (0.6.0-0ubuntu2) ...
    Setting up indicator-messages (0.6.0-0ubuntu2) ...
    Setting up indicator-messages-gtk2 (0.6.0-0ubuntu2) ...
    Setting up indicator-status-provider-mc5 (0.6.0-0ubuntu2) ...
    Setting up indicator-status-provider-pidgin (0.6.0-0ubuntu2) ...
    Setting up make (3.81-8.1ubuntu1.1) ...
    Setting up xfce4-settings (4.8.3-1ubuntu3.1) ...
    Processing triggers for libc-bin ...
    ldconfig deferred processing now taking place
    Errors were encountered while processing:
     texlive-base
     texlive-latex-base
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    bekirsalgin@bekirsalgin:~$ sudo apt-get -f install
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following packages were automatically installed and are no longer required:
      libreoffice-help-en-gb libreoffice-help-en-us mythes-en-au mythes-en-us
      language-pack-kde-zh-hans-base hyphen-en-us firefox-locale-zh-hans
      libgconf2-4:i386 python-qt4 python-sip kde-l10n-engb libqtassistantclient4
      language-pack-zh-hans-base libreoffice-l10n-zh-cn kde-l10n-zhcn
      language-pack-zh-hans language-pack-kde-zh-hans libreoffice-help-zh-cn
      libnss3-1d:i386 libreoffice-l10n-en-gb openoffice.org-hyphenation
      libreoffice-l10n-en-za
    Use 'apt-get autoremove' to remove them.
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    2 not fully installed or removed.
    After this operation, 0 B of additional disk space will be used.
    Setting up texlive-base (2009-15) ...
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXLIVE... 
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXMFMAIN... 
    mktexlsr: Updating /var/lib/texmf/ls-R... 
    mktexlsr: Done.
    Not replacing deleted config file /etc/texmf/dvips/config/config.ps
    Not replacing deleted config file /etc/texmf/tex/generic/config/pdftexconfig.tex
    Not replacing deleted config file /etc/texmf/dvipdfmx/dvipdfmx.cfg
    Not replacing deleted config file /etc/texmf/xdvi/XDvi
    dpkg: error processing texlive-base (--configure):
     subprocess installed post-installation script returned error exit status 1
    dpkg: dependency problems prevent configuration of texlive-latex-base:
     texlive-latex-base depends on texlive-base (>= 2009-1); however:
      Package texlive-base is not configured yet.
    dpkg: error processing texlive-latex-base (--configure):
     dependency problems - leaving unconfigured
    No apport report written because the error message indicates its a followup error from a previous failure.
                              Errors were encountered while processing:
     texlive-base
     texlive-latex-base
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    bekirsalgin@bekirsalgin:~$ dpkg --configure -a
    dpkg: error: requested operation requires superuser privilege
    bekirsalgin@bekirsalgin:~$ sudo su
    root@bekirsalgin:/home/bekirsalgin# dpkg --configure -a
    Setting up texlive-base (2009-15) ...
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXLIVE... 
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXMFMAIN... 
    mktexlsr: Updating /var/lib/texmf/ls-R... 
    mktexlsr: Done.
    Not replacing deleted config file /etc/texmf/dvips/config/config.ps
    Not replacing deleted config file /etc/texmf/tex/generic/config/pdftexconfig.tex
    Not replacing deleted config file /etc/texmf/dvipdfmx/dvipdfmx.cfg
    Not replacing deleted config file /etc/texmf/xdvi/XDvi
    dpkg: error processing texlive-base (--configure):
     subprocess installed post-installation script returned error exit status 1
    dpkg: dependency problems prevent configuration of texlive-latex-base:
     texlive-latex-base depends on texlive-base (>= 2009-1); however:
      Package texlive-base is not configured yet.
    dpkg: error processing texlive-latex-base (--configure):
     dependency problems - leaving unconfigured
    Errors were encountered while processing:
     texlive-base
     texlive-latex-base

  4. #4
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    6,597
    Distro
    Lubuntu 14.04 Trusty Tahr

    Re: TeXworks: package operation failed

    Well, not totally surprised ....OK unless others have a better option, I opt to remove the package and its config files:
    Code:
    sudo apt-get remove --purge texworks
    note lower case is what I see the package name as, in synaptic.
    and install from terminal:
    Code:
    sudo apt-get install texworks
    see what haps ==> BDQ
    Last edited by Bashing-om; November 13th, 2012 at 11:00 PM. Reason: forgot to use the "sudo" authority

  5. #5
    Join Date
    May 2009
    Location
    Indiana
    Beans
    1,818
    Distro
    Ubuntu 13.04 Raring Ringtail

    Re: TeXworks: package operation failed

    Similar issues in this other thread were caused by repository issues:
    http://ubuntuforums.org/showthread.php?t=2082215

    Please give the output of
    Code:
    ls /etc/apt/sources.list.d
    Jane, stop this crazy thing!

  6. #6
    Join Date
    Jul 2012
    Location
    Germany
    Beans
    107
    Distro
    Xubuntu 12.04 Precise Pangolin

    Re: TeXworks: package operation failed

    Quote Originally Posted by Bashing-om View Post
    Well, not totally surprised ....OK unless others have a better option, I opt to remove the package and its config files:
    Code:
    apt-get remove --purge texworks
    note lower case is what I see the package name as, in synaptic.
    and install from terminal:
    Code:
    apt-get install texworks
    see what haps ==> BDQ
    this is what I get after I tried the first command:

    Code:
    apt-get remove --purge texworks
    E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied)
    E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
    bekirsalgin@bekirsalgin:~$ sudo apt-get remove --purge texworks
    [sudo] password for bekirsalgin: 
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following packages were automatically installed and are no longer required:
      libreoffice-help-en-gb libreoffice-help-en-us mythes-en-au mythes-en-us
      language-pack-kde-zh-hans-base hyphen-en-us firefox-locale-zh-hans
      libgconf2-4:i386 python-qt4 python-sip kde-l10n-engb libqtassistantclient4
      language-pack-zh-hans-base libreoffice-l10n-zh-cn kde-l10n-zhcn
      language-pack-zh-hans language-pack-kde-zh-hans libreoffice-help-zh-cn
      libnss3-1d:i386 libreoffice-l10n-en-gb openoffice.org-hyphenation
      libreoffice-l10n-en-za
    Use 'apt-get autoremove' to remove them.
    The following packages will be REMOVED:
      texworks*
    0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
    2 not fully installed or removed.
    After this operation, 3,617 kB disk space will be freed.
    Do you want to continue [Y/n]? y
    (Reading database ... 321176 files and directories currently installed.)
    Removing texworks ...
    Processing triggers for desktop-file-utils ...
    Processing triggers for man-db ...
    Setting up texlive-base (2009-15) ...
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXLIVE... 
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXMFMAIN... 
    mktexlsr: Updating /var/lib/texmf/ls-R... 
    mktexlsr: Done.
    Not replacing deleted config file /etc/texmf/dvips/config/config.ps
    Not replacing deleted config file /etc/texmf/tex/generic/config/pdftexconfig.tex
    Not replacing deleted config file /etc/texmf/dvipdfmx/dvipdfmx.cfg
    Not replacing deleted config file /etc/texmf/xdvi/XDvi
    dpkg: error processing texlive-base (--configure):
     subprocess installed post-installation script returned error exit status 1
    dpkg: dependency problems prevent configuration of texlive-latex-base:
     texlive-latex-base depends on texlive-base (>= 2009-1); however:
      Package texlive-base is not configured yet.
    dpkg: error processing texlive-latex-base (--configure):
     dependency problems - leaving unconfigured
    No apport report written because the error message indicates its a followup error from a previous failure.
                              Errors were encountered while processing:
     texlive-base
     texlive-latex-base
    E: Sub-process /usr/bin/dpkg returned an error code (1)

  7. #7
    Join Date
    Jul 2012
    Location
    Germany
    Beans
    107
    Distro
    Xubuntu 12.04 Precise Pangolin

    Re: TeXworks: package operation failed

    Quote Originally Posted by newb85 View Post
    Similar issues in this other thread were caused by repository issues:
    http://ubuntuforums.org/showthread.php?t=2082215

    Please give the output of
    Code:
    ls /etc/apt/sources.list.d
    here is the output:

    Code:
    ls /etc/apt/sources.list.d
    google-chrome.list                  texlive-backports-ppa-precise.list.save
    google-chrome.list.save             texworks-stable-precise.list
    texlive-backports-ppa-precise.list  texworks-stable-precise.list.save

  8. #8
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    6,597
    Distro
    Lubuntu 14.04 Trusty Tahr

    Re: TeXworks: package operation failed

    bekirs;

    I did oops--- my last did not advise to use sudo for those terminal commands- corrected my entry-
    bk
    And newb85 appears to have the correct slant on this situation, in accordance with the content of the sources.list.d file. Deleting that file in all likely hood will permit removal/reinstall of the texworks package.(sudo !)
    Code:
    sudo rm /etc/apt/sources.list.d/
    processing fault isolation ==> BDQ
    Last edited by Bashing-om; November 13th, 2012 at 11:29 PM. Reason: sources.list.d is corrected to be a directory.

  9. #9
    Join Date
    Jul 2012
    Location
    Germany
    Beans
    107
    Distro
    Xubuntu 12.04 Precise Pangolin

    Re: TeXworks: package operation failed

    Quote Originally Posted by Bashing-om View Post
    bekirs;

    I did oops--- my last did not advise to use sudo for those terminal commands- corrected my entry-
    bk
    And newb85 appears to have the correct slant on this situation, in accordance with the content of the sources.list.d file. Deleting that file in all likely hood will permit removal/reinstall of the texworks package.(sudo !)
    Code:
    sudo rm /etc/apt/sources.list.d
    processing fault isolation ==> BDQ
    I guess I have to provide you the final output
    Code:
    sudo rm /etc/apt/sources.list.d
    [sudo] password for bekirsalgin: 
    rm: cannot remove `/etc/apt/sources.list.d': Is a directory

  10. #10
    Join Date
    May 2009
    Location
    Indiana
    Beans
    1,818
    Distro
    Ubuntu 13.04 Raring Ringtail

    Re: TeXworks: package operation failed

    Actually, sources.list.d is a directory, and I wouldn't advise removing the entire directory. (The above command won't work without the -r option, but that's a little beside the point.) For now, I would open Software Sources (from the Software Center, Edit>Software Sources), go to the Other Software tab, and un-check all entries for texlive-backports and texworks-stable. Then try reinstalling with

    Code:
    sudo apt-get update
    sudo apt-get purge texworks
    sudo apt-get autoremove
    sudo apt-get install texworks
    Jane, stop this crazy thing!

Page 1 of 6 123 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •